summaryrefslogtreecommitdiffstats
path: root/jjb/oom/include-yaml-check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/oom/include-yaml-check.sh')
-rwxr-xr-xjjb/oom/include-yaml-check.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jjb/oom/include-yaml-check.sh b/jjb/oom/include-yaml-check.sh
new file mode 100755
index 000000000..27359e597
--- /dev/null
+++ b/jjb/oom/include-yaml-check.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# setting-up bash flags
+set -x -e -o pipefail
+
+# remove old ansible - current centos build minion
+# is quite old and using incompatible ansible 2.4.x
+sudo yum -y remove ansible
+sudo pip install ansible ansible-lint
+
+# perform check
+ansible --version
+ansible-lint --version
+ansible-lint ./ansible/site.yml -vvv